@anonymous-piwik-user opened this Issue on September 8th 2009

Hello,

I add many widgets (about 20) in my plugin.
In dashbaord, I click on "Add a widget...", and found that it can not show all the widget,and there is no scroll for showing all the widget.

@anonymous-piwik-user commented on September 8th 2009

Attachment: It can not show all the widget for my plugin
0.png

@anonymous-piwik-user commented on September 8th 2009

Attachment: All the widget the plugin has
1.png

@robocoder commented on September 8th 2009 Contributor

As I understand it, this is a thickbox limitation -- i.e., exceeding a design constraint. We're already looking into replacing thickbox in #510, given the screen jumping anomaly observed in #709.

For now, as a workaround, please re-group your widgets. Instead of all the widgets under "E-Commerce", try "E-Commerce Line Charts" and "E-Commerce Tables".

@mattab commented on September 8th 2009 Owner

cn_dark, are you looking to release your ecommerce plugin as open source? you can attach it to the ticket at #898 - thanks! many people are looking forward to such a plugin, it would get a good userbase and we can consider adding it into core in the future.

@anonymous-piwik-user commented on September 9th 2009

Replying to vipsoft:

As I understand it, this is a thickbox limitation -- i.e., exceeding a design constraint. We're already looking into replacing thickbox in #510, given the screen jumping anomaly observed in #709.

For now, as a workaround, please re-group your widgets. Instead of all the widgets under "E-Commerce", try "E-Commerce Line Charts" and "E-Commerce Tables".

But Piwik_Addwidget() doesn't support submenu :(

@anonymous-piwik-user commented on September 9th 2009

Replying to matt:

cn_dark, are you looking to release your ecommerce plugin as open source? you can attach it to the ticket at #898 - thanks! many people are looking forward to such a plugin, it would get a good userbase and we can consider adding it into core in the future.

But now , there is also many problems about my plugin. Because my plugin need to add some custom parameters such as date range, many features can not work correctly.
I need to modify some core code to solve this problem.

I want to contact with MarcLindsay (#898), but there is no reponse :(

This Issue was closed on September 9th 2009
Powered by GitHub Issue Mirror